# Class LineSegmentsGeometry

#### Hierarchy (View Summary)

- InstancedBufferGeometry
  - LineSegmentsGeometry
    - LineGeometry

- Defined in lib/line/utils/LineSegmentsGeometry.ts:3

##### Index

### Constructors

constructor

### Methods

applyMatrix4
computeBoundingBox
computeBoundingSphere
fromEdgesGeometry
fromLineSegments
fromMesh
fromWireframeGeometry
setColors
setPositions
toJSON

## Constructors

### constructor

- new LineSegmentsGeometry(): LineSegmentsGeometry

  #### Returns LineSegmentsGeometry

  Overrides THREE.InstancedBufferGeometry.constructor

  - Defined in lib/line/utils/LineSegmentsGeometry.ts:5

## Methods

### applyMatrix4

- applyMatrix4(matrix: Matrix4): LineSegmentsGeometry

  Bakes matrix transform directly into vertex coordinates.

  #### Parameters

  - matrix: Matrix4

  #### Returns LineSegmentsGeometry

  Overrides THREE.InstancedBufferGeometry.applyMatrix4

  - Defined in lib/line/utils/LineSegmentsGeometry.ts:18

### computeBoundingBox

- computeBoundingBox(): void

  Computes bounding box of the geometry, updating Geometry.boundingBox attribute. Bounding boxes aren't computed by default. They need to be explicitly computed, otherwise they are null.

  #### Returns void

  Overrides THREE.InstancedBufferGeometry.computeBoundingBox

  - Defined in lib/line/utils/LineSegmentsGeometry.ts:96

### computeBoundingSphere

- computeBoundingSphere(): void

  Computes bounding sphere of the geometry, updating Geometry.boundingSphere attribute. Bounding spheres aren't' computed by default. They need to be explicitly computed, otherwise they are null.

  #### Returns void

  Overrides THREE.InstancedBufferGeometry.computeBoundingSphere

  - Defined in lib/line/utils/LineSegmentsGeometry.ts:110

### fromEdgesGeometry

- fromEdgesGeometry(geometry: EdgesGeometry): LineSegmentsGeometry

  #### Parameters

  - geometry: EdgesGeometry

  #### Returns LineSegmentsGeometry

  - Defined in lib/line/utils/LineSegmentsGeometry.ts:73

### fromLineSegments

- fromLineSegments(lineSegments: LineSegments): LineSegmentsGeometry

  #### Parameters

  - lineSegments: LineSegments

  #### Returns LineSegmentsGeometry

  - Defined in lib/line/utils/LineSegmentsGeometry.ts:84

### fromMesh

- fromMesh(mesh: Mesh): LineSegmentsGeometry

  #### Parameters

  - mesh: Mesh

  #### Returns LineSegmentsGeometry

  - Defined in lib/line/utils/LineSegmentsGeometry.ts:78

### fromWireframeGeometry

- fromWireframeGeometry(geometry: WireframeGeometry): LineSegmentsGeometry

  #### Parameters

  - geometry: WireframeGeometry

  #### Returns LineSegmentsGeometry

  - Defined in lib/line/utils/LineSegmentsGeometry.ts:68

### setColors

- setColors(array: number[] | Float32Array<ArrayBufferLike>): LineSegmentsGeometry

  #### Parameters

  - array: number[] | Float32Array<ArrayBufferLike>

  #### Returns LineSegmentsGeometry

  - Defined in lib/line/utils/LineSegmentsGeometry.ts:53

### setPositions

- setPositions(array: number[] | ArrayLike<number>): LineSegmentsGeometry

  #### Parameters

  - array: number[] | ArrayLike<number>

  #### Returns LineSegmentsGeometry

  - Defined in lib/line/utils/LineSegmentsGeometry.ts:36

### toJSON

- toJSON(): void

  #### Returns void

  Overrides THREE.InstancedBufferGeometry.toJSON

  - Defined in lib/line/utils/LineSegmentsGeometry.ts:145